# QualityMetadata (ARX API Documentation)

org.deidentifier.arx.metric.v2

## Class QualityMetadata<T>

- java.lang.Object
- - org.deidentifier.arx.metric.v2.QualityMetadata<T>

- All Implemented Interfaces:
    java.io.Serializable

      public class QualityMetadata<T>
      extends java.lang.Object
      implements java.io.Serializable

  A class encapsulating information about data quality
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getParameter()`
    `T` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getParameter

          public java.lang.String getParameter()

      Returns:
        the parameter

    - #### getValue

          public T getValue()

      Returns:
        the value